Package org.silverpeas.components.kmelia

# Class KmeliaTransversal

java.lang.Object
org.silverpeas.components.kmelia.KmeliaTransversal

All Implemented Interfaces:
  `org.silverpeas.core.web.look.PublicationHelper`

public class KmeliaTransversal extends Object implements org.silverpeas.core.web.look.PublicationHelper

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `KmeliaTransversal()`
  `KmeliaTransversal(String userId)`
  `KmeliaTransversal(org.silverpeas.core.web.mvc.controller.MainSessionController mainSC)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected List<String>`
  `getAvailableComponents(String spaceId)`
  `List<org.silverpeas.core.contribution.publication.model.PublicationDetail>`
  `getPublications()`
  `List<org.silverpeas.core.contribution.publication.model.PublicationDetail>`
  `getPublications(int nbPublis)`
  `List<org.silverpeas.core.contribution.publication.model.PublicationDetail>`
  `getPublications(String spaceId)`
  `List<org.silverpeas.core.contribution.publication.model.PublicationDetail>`
  `getPublications(String spaceId, int nbPublis)`
  `List<org.silverpeas.core.contribution.publication.model.PublicationDetail>`
  `getPublications(String spaceId, List<String> excluded, int nbPublis)`
  `List<org.silverpeas.core.contribution.publication.model.PublicationDetail>`
  `getPublicationsByComponentId(String componentId)`
  `List<org.silverpeas.core.contribution.publication.model.PublicationDetail>`
  `getUpdatedPublications(String spaceId, int since, int nbReturned)`
  `protected List<org.silverpeas.core.contribution.publication.model.PublicationDetail>`
  `getUpdatedPublications(String spaceId, Date since, int nbPublis)`
  `void`
  `setMainSessionController(org.silverpeas.core.web.mvc.controller.MainSessionController mainSC)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### KmeliaTransversal

    public KmeliaTransversal()

  - ### KmeliaTransversal

    public KmeliaTransversal(String userId)

  - ### KmeliaTransversal

    public KmeliaTransversal(org.silverpeas.core.web.mvc.controller.MainSessionController mainSC)

- ## Method Details

  - ### setMainSessionController

    public void setMainSessionController(org.silverpeas.core.web.mvc.controller.MainSessionController mainSC)
    Specified by:
      `setMainSessionController` in interface `org.silverpeas.core.web.look.PublicationHelper`

  - ### getPublications

    public List<org.silverpeas.core.contribution.publication.model.PublicationDetail> getPublications()

  - ### getPublications

    public List<org.silverpeas.core.contribution.publication.model.PublicationDetail> getPublications(int nbPublis)

  - ### getPublications

    public List<org.silverpeas.core.contribution.publication.model.PublicationDetail> getPublications(String spaceId)

  - ### getPublications

    public List<org.silverpeas.core.contribution.publication.model.PublicationDetail> getPublications(String spaceId, int nbPublis)
    Specified by:
      `getPublications` in interface `org.silverpeas.core.web.look.PublicationHelper`

  - ### getPublications

    public List<org.silverpeas.core.contribution.publication.model.PublicationDetail> getPublications(String spaceId, List<String> excluded, int nbPublis)
    Specified by:
      `getPublications` in interface `org.silverpeas.core.web.look.PublicationHelper`

  - ### getUpdatedPublications

    public List<org.silverpeas.core.contribution.publication.model.PublicationDetail> getUpdatedPublications(String spaceId, int since, int nbReturned)
    Specified by:
      `getUpdatedPublications` in interface `org.silverpeas.core.web.look.PublicationHelper`

  - ### getUpdatedPublications

    protected List<org.silverpeas.core.contribution.publication.model.PublicationDetail> getUpdatedPublications(String spaceId, Date since, int nbPublis)

  - ### getAvailableComponents

    protected List<String> getAvailableComponents(String spaceId)

  - ### getPublicationsByComponentId

    public List<org.silverpeas.core.contribution.publication.model.PublicationDetail> getPublicationsByComponentId(String componentId)